import { Manifest } from "@iiif/presentation-3";

/* eslint sort-keys: 0 */

const work = {
  api_model: "Work",
  publisher: [],
  ingest_sheet: {},
  legacy_identifier: ["inu:dil-ec59fc88-7b15-4011-9ff6-e5a972d8cf67"],
  language: [],
  related_material: [],
  catalog_key: [],
  genre: [
    {
      facet: "http://vocab.getty.edu/aat/300047090||sculpture (visual works)",
      id: "http://vocab.getty.edu/aat/300047090",
      label: "sculpture (visual works)",
      variants: [],
    },
  ],
  batch_ids: ["80a15dc2-92d5-48a4-9aa4-73ecdcb1d130"],
  api_link:
    "https://dcapi.rdc-staging.library.northwestern.edu/api/v2/works/659389f3-22e3-41f3-a22e-dd99183af338",
  folder_name: [],
  csv_metadata_update_jobs: [],
  folder_number: [],
  collection: {
    description:
      "Rob Linrothe is an Associate Professor in the Department of Art History at Northwestern University. Here he shares his images of Tibetan, Chinese, and Indian monuments, field photography, and architecture. The collection has a strong focus on Tibetan sites, particularly petroglyphs, stupas, and monasteries in the Ladakh and Zangskar regions. Linrothe has also photographed the architecture and sculpture of monuments such as Borobudur in Indonesia and Sanchi in India. Rob Linrothe specializes in Buddhist art of the Himalayas. His recent fieldwork has focused on pre-modern mural painting in the Ladakh and Zangskar regions of Western Tibet (northwest India), as well as the contemporary revival of monastic painting in the Amdo province of Eastern Tibet (China).",
    id: "85af945f-1396-4b88-9087-c4f2fa64d21c",
    title: "Rob Linrothe Image Collection",
  },
  subject: [
    {
      facet:
        "http://id.worldcat.org/fast/1892339|GEOGRAPHICAL|India--Kolkata (Geographical)",
      id: "http://id.worldcat.org/fast/1892339",
      label: "India--Kolkata",
      label_with_role: "India--Kolkata (Geographical)",
      role: "Geographical",
      variants: [],
    },
    {
      facet:
        "http://id.worldcat.org/fast/1758817|GEOGRAPHICAL|China--Tibet Autonomous Region (Geographical)",
      id: "http://id.worldcat.org/fast/1758817",
      label: "China--Tibet Autonomous Region",
      label_with_role: "China--Tibet Autonomous Region (Geographical)",
      role: "Geographical",
      variants: [],
    },
    {
      facet:
        "http://id.worldcat.org/fast/1160206|TOPICAL|Tārā (Buddhist deity) (Topical)",
      id: "http://id.worldcat.org/fast/1160206",
      label: "Tārā (Buddhist deity)",
      label_with_role: "Tārā (Buddhist deity) (Topical)",
      role: "Topical",
      variants: [],
    },
  ],
  contributor: [
    {
      facet:
        "http://vocab.getty.edu/ulan/500204388|art|unknown Tibetan (Artist)",
      id: "http://vocab.getty.edu/ulan/500204388",
      label: "unknown Tibetan",
      label_with_role: "unknown Tibetan (Artist)",
      role: "Artist",
      variants: [],
    },
    {
      facet:
        "http://id.worldcat.org/fast/515945|ctb|Indian Museum (Contributor)",
      id: "http://id.worldcat.org/fast/515945",
      label: "Indian Museum",
      label_with_role: "Indian Museum (Contributor)",
      role: "Contributor",
      variants: [],
    },
    {
      facet:
        "http://id.loc.gov/authorities/names/n96039241|pht|Linrothe, Robert N., 1951- (Photographer)",
      id: "http://id.loc.gov/authorities/names/n96039241",
      label: "Linrothe, Robert N., 1951-",
      label_with_role: "Linrothe, Robert N., 1951- (Photographer)",
      role: "Photographer",
      variants: ["Linrothe, Rob, 1951-"],
    },
  ],
  series: ["Rob Linrothe: Tibetan and Buddhist Art"],
  scope_and_contents: [],
  table_of_contents: [],
  terms_of_use:
    "The images on this web site are owned by Rob Linrothe an Associate Professor in the Department of Art History at Northwestern University and are provided for use by its students, faculty and staff, and by other researchers visiting this site. Request to publish in non-commercial scholarly venues in analog or online form requires permission.",
  keywords: [],
  box_name: [],
  id: "659389f3-22e3-41f3-a22e-dd99183af338",
  physical_description_material: ["metal"],
  notes: [
    {
      note: "massive add to all pages/check",
      type: "General Note",
    },
  ],
  physical_description_size: [],
  rights_statement: {
    id: "http://rightsstatements.org/vocab/InC-EDU/1.0/",
    label: "In Copyright - Educational Use Permitted",
  },
  location: [],
  project: {
    cycle: null,
    desc: null,
    manager: null,
    name: null,
    proposer: null,
    task_number: "Job:11395",
  },
  provenance: ["Indian Museum"],
  library_unit: "Faculty Collections",
  technique: [],
  related_url: [],
  file_sets: [
    {
      duration: null,
      height: 6264,
      id: "d164b89c-10ca-42d3-b201-d584e7175604",
      label: "inu-dil-ec59fc88-7b15-4011-9ff6-e5a972d8cf67.tif",
      mime_type: "image/tiff",
      original_filename: "inu-dil-ec59fc88-7b15-4011-9ff6-e5a972d8cf67.tif",
      poster_offset: null,
      rank: 0,
      representative_image_url:
        "https://iiif.stack.rdc-staging.library.northwestern.edu/iiif/2/d164b89c-10ca-42d3-b201-d584e7175604",
      role: "Access",
      streaming_url: null,
      webvtt: null,
      width: 4148,
    },
  ],
  create_date: "2021-03-16T03:05:16.298108Z",
  work_type: "Image",
  description: ["Photographed in 1990."],
  abstract: [],
  date_created: ["1990", "1700s"],
  accession_number: "Accession:313531",
  rights_holder: ["Robert N. Linrothe"],
  thumbnail:
    "https://dcapi.rdc-staging.library.northwestern.edu/api/v2/works/659389f3-22e3-41f3-a22e-dd99183af338/thumbnail",
  ark: "ark:/81985/n24t6gw51",
  status: "Done",
  published: true,
  alternate_title: [],
  title: "Green Tārā",
  box_number: [],
  visibility: "Public",
  ingest_project: {},
  modified_date: "2022-10-13T20:57:07.378613Z",
  indexed_at: "2022-10-25T12:15:34.047078",
  cultural_context: [],
  caption: [],
  preservation_level: "Level 1",
  iiif_manifest:
    "https://iiif.stack.rdc-staging.library.northwestern.edu/public/65/93/89/f3/-2/2e/3-/41/f3/-a/22/e-/dd/99/18/3a/f3/38-manifest.json",
  creator: [
    {
      facet:
        "http://id.worldcat.org/fast/1717972||Schober, Franz von, 1796-1882",
      id: "http://id.worldcat.org/fast/1717972",
      label: "Schober, Franz von, 1796-1882",
      variants: [],
    },
  ],
  representative_file_set: {
    id: "d164b89c-10ca-42d3-b201-d584e7175604",
    url: "https://iiif.stack.rdc-staging.library.northwestern.edu/iiif/2/d164b89c-10ca-42d3-b201-d584e7175604",
  },
  style_period: [],
  license: null,
  source: [],
  identifier: [],
};

const manifest = {
  "@context": "http://iiif.io/api/presentation/3/context.json",
  id: "https://dcapi.rdc-staging.library.northwestern.edu/api/v2/works/659389f3-22e3-41f3-a22e-dd99183af338?as=iiif",
  type: "Manifest",
  label: {
    none: ["Green Tārā"],
  },
  metadata: [
    {
      label: {
        none: ["Contributor"],
      },
      value: {
        none: [
          "unknown Tibetan (Artist)",
          "Indian Museum (Contributor)",
          "Linrothe, Robert N., 1951- (Photographer)",
        ],
      },
    },
    {
      label: {
        none: ["Creator"],
      },
      value: {
        none: ["Schober, Franz von, 1796-1882"],
      },
    },
    {
      label: {
        none: ["Date"],
      },
      value: {
        none: ["1990", "1700s"],
      },
    },
    {
      label: {
        none: ["Department"],
      },
      value: {
        none: ["Faculty Collections"],
      },
    },
    {
      label: {
        none: ["Genre"],
      },
      value: {
        none: ["sculpture (visual works)"],
      },
    },
    {
      label: {
        none: ["Last Modified"],
      },
      value: {
        none: ["2022-10-13T20:57:07.378613Z"],
      },
    },
    {
      label: {
        none: ["Materials"],
      },
      value: {
        none: ["metal"],
      },
    },
    {
      label: {
        none: ["Notes"],
      },
      value: {
        none: ["massive add to all pages/check (General Note)"],
      },
    },
    {
      label: {
        none: ["Provenance"],
      },
      value: {
        none: ["Indian Museum"],
      },
    },
    {
      label: {
        none: ["Rights Holder"],
      },
      value: {
        none: ["Robert N. Linrothe"],
      },
    },
    {
      label: {
        none: ["Series"],
      },
      value: {
        none: ["Rob Linrothe: Tibetan and Buddhist Art"],
      },
    },
    {
      label: {
        none: ["Subject"],
      },
      value: {
        none: [
          "India--Kolkata (Geographical)",
          "China--Tibet Autonomous Region (Geographical)",
          "Tārā (Buddhist deity) (Topical)",
        ],
      },
    },
  ],
  summary: {
    none: ["Photographed in 1990."],
  },
  requiredStatement: {
    label: {
      none: ["Attribution"],
    },
    value: {
      none: [
        "Courtesy of Northwestern University Libraries",
        "The images on this web site are owned by Rob Linrothe an Associate Professor in the Department of Art History at Northwestern University and are provided for use by its students, faculty and staff, and by other researchers visiting this site. Request to publish in non-commercial scholarly venues in analog or online form requires permission.",
      ],
    },
  },
  rights: "http://rightsstatements.org/vocab/InC-EDU/1.0/",
  thumbnail: [
    {
      id: "https://dcapi.rdc-staging.library.northwestern.edu/api/v2/works/659389f3-22e3-41f3-a22e-dd99183af338/thumbnail",
      type: "Image",
      format: "image/jpeg",
      height: 300,
      width: 300,
    },
  ],
  seeAlso: [
    {
      id: "https://dcapi.rdc-staging.library.northwestern.edu/api/v2/works/659389f3-22e3-41f3-a22e-dd99183af338",
      type: "Dataset",
      format: "application/json",
      label: {
        none: ["Northwestern University Libraries Digital Collections API"],
      },
    },
  ],
  homepage: [
    {
      id: "https://dc-next.rdc-staging.library.northwestern.edu/items/659389f3-22e3-41f3-a22e-dd99183af338",
      type: "Text",
      format: "text/html",
      label: {
        none: [
          "Homepage at Northwestern University Libraries Digital Collections",
        ],
      },
    },
  ],
  partOf: [
    {
      id: "https://dcapi.rdc-staging.library.northwestern.edu/api/v2/collections/85af945f-1396-4b88-9087-c4f2fa64d21c?as=iiif",
      type: "Collection",
      label: {
        none: ["Rob Linrothe Image Collection"],
      },
      summary: {
        none: [
          "Rob Linrothe is an Associate Professor in the Department of Art History at Northwestern University. Here he shares his images of Tibetan, Chinese, and Indian monuments, field photography, and architecture. The collection has a strong focus on Tibetan sites, particularly petroglyphs, stupas, and monasteries in the Ladakh and Zangskar regions. Linrothe has also photographed the architecture and sculpture of monuments such as Borobudur in Indonesia and Sanchi in India. Rob Linrothe specializes in Buddhist art of the Himalayas. His recent fieldwork has focused on pre-modern mural painting in the Ladakh and Zangskar regions of Western Tibet (northwest India), as well as the contemporary revival of monastic painting in the Amdo province of Eastern Tibet (China).",
        ],
      },
    },
  ],
  items: [
    {
      id: "https://dcapi.rdc-staging.library.northwestern.edu/api/v2/works/659389f3-22e3-41f3-a22e-dd99183af338?as=iiif/canvas/access/0",
      type: "Canvas",
      height: 6264,
      width: 4148,
      label: {
        none: ["inu-dil-ec59fc88-7b15-4011-9ff6-e5a972d8cf67.tif"],
      },
      thumbnail: [
        {
          id: "https://iiif.stack.rdc-staging.library.northwestern.edu/iiif/2/d164b89c-10ca-42d3-b201-d584e7175604/full/!300,300/0/default.jpg",
          type: "Image",
          format: "image/jpeg",
          height: 300,
          width: 300,
          service: [
            {
              "@id":
                "https://iiif.stack.rdc-staging.library.northwestern.edu/iiif/2/d164b89c-10ca-42d3-b201-d584e7175604",
              "@type": "ImageService2",
              profile: "http://iiif.io/api/image/2/level2.json",
            },
          ],
        },
      ],
      items: [
        {
          id: "https://dcapi.rdc-staging.library.northwestern.edu/api/v2/works/659389f3-22e3-41f3-a22e-dd99183af338?as=iiif/canvas/access/0/annotation-page",
          type: "AnnotationPage",
          items: [
            {
              id: "https://dcapi.rdc-staging.library.northwestern.edu/api/v2/works/659389f3-22e3-41f3-a22e-dd99183af338?as=iiif/canvas/access/0/annotation/0",
              type: "Annotation",
              motivation: "painting",
              target:
                "https://dcapi.rdc-staging.library.northwestern.edu/api/v2/works/659389f3-22e3-41f3-a22e-dd99183af338?as=iiif/canvas/access/0",
              body: {
                id: "https://iiif.stack.rdc-staging.library.northwestern.edu/iiif/2/d164b89c-10ca-42d3-b201-d584e7175604/full/600,/0/default.jpg",
                type: "Image",
                format: "image/tiff",
                height: 6264,
                width: 4148,
                service: [
                  {
                    "@id":
                      "https://iiif.stack.rdc-staging.library.northwestern.edu/iiif/2/d164b89c-10ca-42d3-b201-d584e7175604",
                    "@type": "ImageService2",
                    profile: "http://iiif.io/api/image/2/level2.json",
                  },
                ],
              },
            },
          ],
        },
      ],
    },
  ],
} as unknown as Manifest;

export { manifest, work };
